Loading...
Searching...
No Matches
OverlapUtil::ComparePositions Struct Reference

Implements comparision operator to be used for sorting of frame positions, making the sorting order depend on the coordinate given in the constructor. More...

## Public Member Functions

| ComparePositions (size_t c)
| Constructor, used to configure coordinate position to be used for sorting.
bool | operator() (const FramePositionAndNumber &a, const FramePositionAndNumber &b) const
| Compare two frames.

## Public Attributes

size_t | m_coordinate
| Coordinate position (0-2, i.e. x,x,z) to be used for sorting.

## Detailed Description

Implements comparision operator to be used for sorting of frame positions, making the sorting order depend on the coordinate given in the constructor.

## Constructor & Destructor Documentation

## ComparePositions()

OverlapUtil::ComparePositions::ComparePositions | ( | size_t | c | ) |

inline

Constructor, used to configure coordinate position to be used for sorting.

Parameters

  c | Coordinate position to be used for sorting

References m_coordinate.

## Member Function Documentation

## operator()()

bool OverlapUtil::ComparePositions::operator() | ( | const FramePositionAndNumber & | a,
|  | const FramePositionAndNumber & | b ) const

inline

Compare two frames.

Parameters

  a | First frame to compare
  b | Second frame to compare

Returns
  Returns true if a is less than b based on the coordinate used for sorting

References m_coordinate, and OverlapUtil::FramePositionAndNumber::m_position.

The documentation for this struct was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/overlaputil.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0